Video Center
All operations require authentication.
3 operationsv2/videocenter/resource
Get all servicesAlpha
GET
/v2/ videocenter/ resource
Query parameters
iam Tags
object
Filter resources on IAM tags
Headers
X- Pagination- Cursor
string
Pagination cursor
X- Pagination- Size
integer
Pagination size
Response
200Service With IAM[]successful operation
current State
read-only
Service Current State
What the service currently holds and how much of its offer is used
iam
read-only
Resource Metadata
IAM resource metadata
id
read-only
stringuuid
Unique identifier of the service
resource Status
read-only
Resource Status Enum
Whether the service is ready to use, still being set up, or in error
Values
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ videocenter/ resource \
-H "authorization: Bearer $OVH_TOKEN"[ { "currentState": { "createdAt": "2024-01-01T12:00:00Z", "offerName": "string", "vodCount": { "allocated": 0, "hostable": 0 }, "vodDurationMinutes": { "allocated": 0, "hostable": 0 } }, "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING" }]
Get a serviceAlpha
GET
/v2/ videocenter/ resource/ {serviceId}
Path parameters
service Id
required
stringuuid
Service ID
Response
200Service With IAMsuccessful operation
current State
read-only
Service Current State
What the service currently holds and how much of its offer is used
iam
read-only
Resource Metadata
IAM resource metadata
id
read-only
stringuuid
Unique identifier of the service
resource Status
read-only
Resource Status Enum
Whether the service is ready to use, still being set up, or in error
Values
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGExample uses serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ videocenter/ resource/ {serviceId} \
-H "authorization: Bearer $OVH_TOKEN"{ "currentState": { "createdAt": "2024-01-01T12:00:00Z", "offerName": "string", "vodCount": { "allocated": 0, "hostable": 0 }, "vodDurationMinutes": { "allocated": 0, "hostable": 0 } }, "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING"}
Generate an Auth TokenAlpha
POST
/v2/ videocenter/ resource/ {serviceId}/ auth/ token
Path parameters
service Id
required
stringuuid
Service ID
Request body (required)
language
required
string
Language the player interface and its messages should be shown in
Response
200Auth Token Responsesuccessful operation
token
read-only
string
JWT
Example uses serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ videocenter/ resource/ {serviceId}/ auth/ token \
-H "authorization: Bearer $OVH_TOKEN"{ "token": "string"}